<?php

namespace Ems\Services;

use Doctrine\ORM\EntityManager;

use Util\Environment;
use Util\DateUtil;

use Ems\Repository\RescisaoRepository;
use Ems\Util\{ Utilities, ArrayUtil };

class RescisaoService {

    public function __construct(
        RescisaoRepository $rescisaoRepository,
        Environment $environment
    ) {
        $this->rescisaoRepository         = $rescisaoRepository;
        $this->environment                  = $environment;
    }



    public function getTpAvisoPrevio() {
        $nrorg = $this->environment->getNrorg();
        return $this->rescisaoRepository->getTpAvisoPrevio($nrorg);
    }
    
    public function getTpDemissao() {
        $nrorg = $this->environment->getNrorg();
        return $this->rescisaoRepository->getTpDemissao($nrorg);
    }
    
    public function getMotivoResc() {
        $nrorg = $this->environment->getNrorg();
        return $this->rescisaoRepository->getMotivoResc($nrorg);
    }
    
  
    
}
